.banners {
	height: 100vh;
	width: 100%;
	@include xmd-block(){
		height: auto;
	}
	@include xxs-block(){
		padding: 0 15px;
	}
	&-item{
		float: left;
		position: relative;
		padding: 3px;
		overflow: hidden;
		height: 50%;
    	width: calc(100% / 3);
		@include xmd-block(){
			width: 50%;
			padding-bottom: calc(50% - 2.5px);
		}
		@include xxs-block(){
			width: 100%;
			padding-bottom: 5px;
		}
		&-name{
			position: absolute;
			width: calc(100% - 8px);
			padding: 20px 35px;
			left: 4px;
			top: 4px;
			font-size: 24px;
			line-height: 120%;
			text-transform: uppercase;
			color: #FEFEFE;
			z-index: 2;
			@include xxs-block(){
				padding: 20px 25px;
				font-size: 18px;
				left: 0;
				width: 100%;
				position: relative;
			}
		}
		&-desc{
			position: absolute;
			width: calc(100% - 8px);
			color: #FEFEFE;
			z-index: 2;
			left: 4px;
			padding: 35px;
			opacity: 0;
			visibility: hidden;
			bottom: -100px;
			transition: 0.6s;
			@include xxs-block(){
				padding: 20px 25px;
				position: relative;
				font-size: 12px;
				left: 0;
				width: 100%;
				padding-top: 0;
			}
		}
		&-img{
			position: absolute;
			width: calc(100% - 8px);
			height: calc(100% - 8px);
			top: 4px;
			left: 4px;
			overflow: hidden;
			z-index: 1;
			@include xxs-block(){
				width: 100%;
				left: 0;
			}
			&::before{
				content: '';
				z-index: 2;
				position: absolute;
				height: 100%;
				width: 100%;
				background-color: rgba(0, 0, 0, 0.1);
				transition: .5s;
				@include xmd-block(){
					background-color: rgba(0, 0, 0, 0.3);
				}
			}
			img{
				position: absolute;
				top: 50%;
				left: 50%;
				transform: translateX(-50%) translateY(-50%);
				object-fit: cover;
				min-height: 100%;
				max-width: 1000%;
				z-index: 1;
				transition: 2s;
				backface-visibility: hidden;
			}
		}
		&:hover{
			.banners-item-img{
				&::before{
					background-color: rgba(0, 0, 0, 0.3);
				}
				img{
					transform: scale(1.05) translateX(-48%) translateY(-50%);
				}
			}
			.banners-item-desc{
				bottom: 4px;
				opacity: 1;
				visibility: visible;
			}
		}
	}
	&-item-vertikal{
		height: 100%;
		width: calc(100% / 3);
		@include xmd-block(){
			padding-bottom: 100%;
			width: 50%;
		}
		@include xxs-block(){
			width: 100%;
			padding-bottom: 0%;
		}
	}
	&-item-big {
		height: 50%;
		width: calc(66.666%);
		@include xmd-block(){
			padding-bottom: 25%;
			height: auto;
			width: 100%;
		}
		@include xxs-block(){
			padding-bottom: 0;
		}
	}
}
